<?php $portfolio_use_autoplay = carbon_get_post_meta( $showcase_id, 'portfolio_use_autoplay' );
$portfolio_autoplay_speed = carbon_get_post_meta( $showcase_id, 'portfolio_autoplay_speed' ); ?>
<svg class="hidden">
	<symbol id="icon-arrow" viewBox="0 0 24 24">
		<title>arrow</title>
		<polygon points="6.3,12.8 20.9,12.8 20.9,11.2 6.3,11.2 10.2,7.2 9,6 3.1,12 9,18 10.2,16.8 "/>
	</symbol>
	<symbol id="icon-drop" viewBox="0 0 24 24">
		<title>drop</title>
		<path d="M12,21c-3.6,0-6.6-3-6.6-6.6C5.4,11,10.8,4,11.4,3.2C11.6,3.1,11.8,3,12,3s0.4,0.1,0.6,0.3c0.6,0.8,6.1,7.8,6.1,11.2C18.6,18.1,15.6,21,12,21zM12,4.8c-1.8,2.4-5.2,7.4-5.2,9.6c0,2.9,2.3,5.2,5.2,5.2s5.2-2.3,5.2-5.2C17.2,12.2,13.8,7.3,12,4.8z"/><path d="M12,18.2c-0.4,0-0.7-0.3-0.7-0.7s0.3-0.7,0.7-0.7c1.3,0,2.4-1.1,2.4-2.4c0-0.4,0.3-0.7,0.7-0.7c0.4,0,0.7,0.3,0.7,0.7C15.8,16.5,14.1,18.2,12,18.2z"/>
	</symbol>
	<symbol id="icon-nav-arrow" viewBox="0 0 24 17">
		<title>nav arrow</title>
		<polygon points="14.1333333 2.61666667 18.9333333 7.41666667 0 7.41666667 0 10.0833333 18.9333333 10.0833333 14.1333333 14.8833333 16 16.75 24 8.75 16 0.75"></polygon>
	</symbol>
</svg>
<div class="portfolio-post-<?php echo esc_attr($showcase_id); ?>">
	<div class="slider-sabelas slider-inner-wrap">
		<?php
		$no = 0;
		while ( $ta_portfo->have_posts() ) : $ta_portfo->the_post();
		$no++;
		if (has_post_thumbnail()) {
			$img_url_porto = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
			$image_portores =  aq_resize($img_url_porto[0],  1200 , 1200, true, true, true);
		} else {
			$image_portores = '';
		}
		
		?>
		<div class="grid-wrap-item grid--layout-<?php echo $no; ?> <?php if($no == 1) { echo 'grid--current'; } ?>">
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item" style="background-image: url(<?php echo $image_portores; ?>);"></div>
			<div class="grid__item grid__item--nav grid__item--nav-prev">
				<svg class="icon icon--nav-arrow"><use xlink:href="#icon-nav-arrow"></use></svg>
			</div>
			<div class="grid__item grid__item--nav grid__item--nav-next">
				<svg class="icon icon--nav-arrow"><use xlink:href="#icon-nav-arrow"></use></svg>
			</div>
			<h2 class="grid__item grid__item--name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			<h3 class="grid__item grid__item--title"><?php portfolio_facts_showcase_tilubelas(get_the_ID()); ?></h3>
			<p class="grid__item grid__item--text"><?php echo portfolio_excerpt(15); ?></p>
		</div>
		<?php endwhile; wp_reset_postdata(); ?>
	</div>
</div>
<script>
jQuery(document).ready(function () {
	///jQuery('.grid-wrap-item:first').addClass("grid--current");

	const DOM = {};
	DOM.body = document.body;
	DOM.gridElems = Array.from(document.querySelectorAll('.grid-wrap-item'));

	console.log(DOM.gridElems);
	
	imagesLoaded(document.querySelectorAll('.grid__item'), {background: true} , () => {
		new Slideshow(DOM.gridElems);
	});

	var $prev = jQuery('.grid__item--nav-prev');
	var $next = jQuery('.grid__item--nav-next');

	<?php if($portfolio_use_autoplay == true) {
	if(!empty($portfolio_autoplay_speed)) {
		$portfolio_autoplay_speed = $portfolio_autoplay_speed;
	} else {
		$portfolio_autoplay_speed = 2500;
	} ?>

	var interval;
		 var timer = function(){
		 interval = setInterval(function(){
  			$next.trigger("click");
		},<?php echo intval($portfolio_autoplay_speed); ?>);
	};

	timer();
    <?php } ?>

    $next.click(function (e) {
        <?php if($portfolio_use_autoplay == true) { ?>
    	clearInterval(interval);
		timer();
		<?php } ?>
    });

    $prev.click(function (e) {
        <?php if($portfolio_use_autoplay == true) { ?>
    	clearInterval(interval);
		timer();
		<?php } ?>
    });
})
</script>

<?php 

wp_enqueue_script( 'aspb-advanced-slider-portfolio-builder-revealer',  plugin_dir_url(__DIR__ ).'assets/js/revealer.js', array('jquery','imagesloaded'), '', false );
wp_enqueue_script( 'aspb-advanced-slider-portfolio-builder-slider-11',  plugin_dir_url(__DIR__ ).'assets/js/slider11.js', array('jquery','imagesloaded'), '', false );