<?php $portfolio_use_autoplay = carbon_get_post_meta( $showcase_id, 'portfolio_use_autoplay' );
$portfolio_autoplay_speed = carbon_get_post_meta( $showcase_id, 'portfolio_autoplay_speed' ); ?>
<div class="portfolio-post-<?php echo esc_attr($showcase_id); ?>">
	<div class="slider-hiji">
		<div class="slider <?php if($portfolio_use_pagination == true) { ?>has-pag<?php } ?>">

			<?php 
			while ( $ta_portfo->have_posts() ) : $ta_portfo->the_post();
				if (has_post_thumbnail()) { 
					$img_url_porto = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full'); 
					$image_portores = $img_url_porto[0];
				} else {
					$image_portores = '';
				}
			?>
			<div class="slider__slide" data-href="<?php the_permalink(); ?>">
				<div class="slider__img">
					<?php if(!empty($image_portores)) { ?>
					<div class="slider__img-inner" style="background-image: url(<?php echo esc_url($image_portores) ?>);"></div>
					<?php } else { ?>
					<div class="slider__img-inner" style="background-color: #191970;"></div>
					<?php } ?>
					<div class="slider-overlay"></div>
				</div>
				<div class="slider__text-wrap">
					<span class="slider__text">
						<span class="slider__text-inner slider__text-inner--stroke"><?php the_title(); ?></span>
					</span>
					<span class="slider__text">
						<span class="slider__text-inner"><?php the_title(); ?></span>
					</span>
					<span class="slider__text slider__text--full">
						<span class="slider__text-inner slider__text-inner--stroke"><?php the_title(); ?></span>
					</span>
					<span class="slider__text">
						<span class="slider__text-inner slider__text-inner--stroke"><?php the_title(); ?></span>
					</span>
					<span class="slider__text">
						<span class="slider__text-inner"><?php the_title(); ?></span>
					</span>
					<span class="slider__text slider__text--full">
						<span class="slider__text-inner"><?php the_title(); ?></span>
					</span>
					<span class="slider__text">
						<span class="slider__text-inner slider__text-inner--bottom"><?php the_title(); ?></span>
					</span>
					<span class="slider__text">
						<span class="slider__text-inner"><?php the_title(); ?></span>
					</span>
					<span class="slider__text slider__text--full">
						<span class="slider__text-inner slider__text-inner--stroke"><?php the_title(); ?></span>
					</span>
					<span class="slider__text">
						<span class="slider__text-inner slider__text-inner--stroke slider__text-inner--bottom"><?php the_title(); ?></span>
					</span>
					<span class="slider__text">
						<span class="slider__text-inner"><?php the_title(); ?></span>
					</span>
				</div>
			</div>

			<?php endwhile; wp_reset_postdata(); ?>

			<div class="link-button">
				<a href="#">Link</a>
			</div>

			<?php aspb_ta_arrow_slider_temp($portfolio_use_arrow, $portfolio_select_arrow); ?>

			<?php if($portfolio_use_autoplay == true && $portfolio_use_arrow == false) { ?>
				<div class="display-none">
					<button class="slider__nav-button--prev"></button>
					<button class="slider__nav-button--next"></button>
				</div>
			<?php } elseif ($portfolio_use_autoplay == false && $portfolio_use_arrow == false) { ?>
				<div class="display-none">
					<button class="slider__nav-button--prev"></button>
					<button class="slider__nav-button--next"></button>
				</div>
			<?php } ?>

			<?php if($portfolio_use_pagination == true) { ?>
				<?php if($portfolio_select_dot == 'style-1') { ?>
				<ul class="swiper-pag dotstyle-fillup"></ul>
				<?php } elseif ($portfolio_select_dot == 'style-2') { ?>
				<ul class="swiper-pag dotstyle-circlegrow"></ul>
				<?php } elseif($portfolio_select_dot == 'style-3') { ?>
				<ul class="swiper-pag dotstyle-flip"></ul>
			<?php }
			} ?>

		</div>
	</div>
</div>
<script>
(function ($) {
    'use strict';

    $(document).ready(function () {

		var $theSlide = new Slideshow(document.querySelector('.slider'));

		var $theSlide2 = $('.slider');
	    var $dots = $('.swiper-pag');
	    var $sliderLi = $('.slider__slide');
	    var $prev = $('.slider__nav-button--prev');
	    var $next = $('.slider__nav-button--next');

		<?php if($portfolio_use_autoplay == true) {
		if(!empty($portfolio_autoplay_speed)) {
			$portfolio_autoplay_speed = $portfolio_autoplay_speed;
		} else {
			$portfolio_autoplay_speed = 2500;
		} ?>

		var interval;
			 var timer = function(){
			 interval = setInterval(function(){
      			$next.trigger("click");
			},<?php echo intval($portfolio_autoplay_speed); ?>);
		};

		timer();
	    <?php } ?>
	    // Count and add nav dots
    	$sliderLi.each(function() {
           $dots.append("<li><a></a></li>");
        });

	    $dots.find("li").first().addClass("swiper-pagination-bullet-active");
	    // Change slider on dot click
	    $dots.find("li a").click(function() {
	    	$('li').removeClass('swiper-pagination-bullet-active');
	        var $this = $(this);
	        $($this).parent().addClass("swiper-pagination-bullet-active");
	        var i = $this.parent().index();
	        $theSlide.move(next(i));
	        <?php if($portfolio_use_autoplay == true) { ?>
	    	clearInterval(interval);
   			timer();
   			<?php } ?>
   			getHref(i);
	    });

	    $next.click(function (e) {
	    	e.preventDefault();
	    	var totalSlides = $sliderLi.length;

	    	$('li').removeClass('swiper-pagination-bullet-active');
	    	var nextTarget = $theSlide2.find('.slider__slide.slider__slide--current').index() + 1;

	    	if(totalSlides == nextTarget) {
	    		var nextTarget = 0;
	    	}

	    	$theSlide.navigate('next',nextTarget);

	    	$dots.find('li').eq(nextTarget).addClass('swiper-pagination-bullet-active');

	        <?php if($portfolio_use_autoplay == true) { ?>
	    	clearInterval(interval);
   			timer();
   			<?php } ?>
   			getHref(nextTarget);
	    });

	    $prev.click(function (e) {
	    	e.preventDefault();
	    	$('li').removeClass('swiper-pagination-bullet-active');
	    	var nextTarget = $theSlide2.find('.slider__slide.slider__slide--current').index() - 1;
	    	$theSlide.navigate('prev',nextTarget);
	    	$dots.find('li').eq(nextTarget).addClass('swiper-pagination-bullet-active');

	        <?php if($portfolio_use_autoplay == true) { ?>
	    	clearInterval(interval);
   			timer();
   			<?php } ?>
   			getHref(nextTarget);
	    });

	    $('.slider__slide.slider__slide--current').click(function () {
	    	var href = $(this).find('a').attr("href");
      		window.location.href = href;
	    });

	    function next(i) {
	        var upcomingSlide = $sliderLi.eq(i).index();
	        return upcomingSlide;
	    }

	    function getHref(nextTarget) {
	    	var totalSlides = $sliderLi.length;

	    	if(totalSlides == nextTarget) {
	    		var nextTarget = 0;
	    	}

	    	var link = $theSlide2.find('.slider__slide:eq(' + nextTarget + ')').attr('data-href');
	    	var href = $theSlide2.find('.link-button a').attr("href", link);
	    }

	    getHref(0);
    });


})(jQuery);
</script>

<?php 

wp_enqueue_script( 'aspb-advanced-slider-portfolio-builder-TweenMax-js',  plugin_dir_url(__DIR__ ).'assets/js/TweenMax.min.js', array('jquery'), '', false );
wp_enqueue_script( 'aspb-advanced-slider-portfolio-builder-slider-3',  plugin_dir_url(__DIR__ ).'assets/js/slider3.js', array('jquery','imagesloaded'), '', false );